Bug 53449 - mkinitrd doesn't handle fstabs with vfstype of auto correctly
mkinitrd doesn't handle fstabs with vfstype of auto correctly
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-09-09 03:12 EDT by Peter Bowen
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-09 03:12:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Bowen 2001-09-09 03:12:41 EDT
If the root filesystem is of type auto, then mkinitrd makes a  image that
can't mount root.  auto can be used to automatically handle ext2 vs ext3
with recent e2fsprogs and util-linux.
Comment 1 Erik Troan 2002-05-21 17:17:21 EDT
Adding this is tricky, as we don't have normal mount/e2fsprogs available in the
initrd image. I'll reconsider this if a lot of people ask for it, but the only
real reason for it seems to be to support 2.2 and 2.4 kernels on the same
machine, which most people don't need.

Note You need to log in before you can comment on or make changes to this bug.